#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
#
Summary:	Sphinx extension to link to external Doxygen API documentation
Summary(pl.UTF-8):	Rozszerzenie Sphinksa do łączenia z zewnętrzną dokumentacją API z Doxygena
Name:		python-sphinxcontrib-doxylink
Version:	1.3
Release:	9
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/sphinxcontrib-doxylink/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinxcontrib-doxylink/sphinxcontrib-doxylink-%{version}.tar.gz
# Source0-md5:	f6800726c2d31bcd6b4a65d40852881f
Patch0:		Force-qualifier-result-to-be-a-single-string.patch
URL:		https://pypi.org/project/sphinxcontrib-doxylink/
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-Sphinx >= 0.6
Requires:	python-pyparsing
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx extension to link to external Doxygen API documentation.

%description -l pl.UTF-8
Rozszerzenie Sphinksa do łączenia z zewnętrzną dokumentacją API z
Doxygena.

%package -n python3-sphinxcontrib-doxylink
Summary:	Sphinx extension to link to external Doxygen API documentation
Summary(pl.UTF-8):	Rozszerzenie Sphinksa do łączenia z zewnętrzną dokumentacją API z Doxygena
Group:		Libraries/Python
Requires:	python3-modules
Requires:	python3-Sphinx >= 0.6
Requires:	python3-pyparsing

%description -n python3-sphinxcontrib-doxylink
Sphinx extension to link to external Doxygen API documentation.

%description -n python3-sphinxcontrib-doxylink -l pl.UTF-8
Rozszerzenie Sphinksa do łączenia z zewnętrzną dokumentacją API z
Doxygena.

%prep
%setup -q -n sphinxcontrib-doxylink-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build
%endif

%if %{with python2}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%py_postclean
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/tests
%endif

%if %{with python2}
%py3_install
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/tests
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst README.rst
%dir %{py_sitescriptdir}/sphinxcontrib
%{py_sitescriptdir}/sphinxcontrib/doxylink
%{py_sitescriptdir}/sphinxcontrib_doxylink-%{version}-py*.egg-info
%{py_sitescriptdir}/sphinxcontrib_doxylink-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-sphinxcontrib-doxylink
%defattr(644,root,root,755)
%doc CHANGES.rst README.rst
%dir %{py3_sitescriptdir}/sphinxcontrib
%{py3_sitescriptdir}/sphinxcontrib/doxylink
%{py3_sitescriptdir}/sphinxcontrib_doxylink-%{version}-py*.egg-info
%{py3_sitescriptdir}/sphinxcontrib_doxylink-%{version}-py*-nspkg.pth
%endif
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sphinxcontrib-doxylink.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 53369f2
- release 9 (by relup.sh)

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> d062b29
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e19ef0e
- rebuild with python 3.8
- release 8 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b1f2411
- release 7 (by relup.sh)

* Fri Jan 27 2017 Jan Rękorajski <baggins@pld-linux.org> 771c074
- added patch from Debian to fix breakage caused by python-pyparsing 2.1.10
- rel 6

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8cbc31b
- python 3.6
- release 5 (by relup.sh)

* Sun Dec 13 2015 Jan Rękorajski <baggins@pld-linux.org> 0b804ae
- really fix module name

* Sun Dec 13 2015 Jan Rękorajski <baggins@pld-linux.org> 850b021
- fix python3 package name
- rel 4

* Sun Dec 13 2015 Jan Rękorajski <baggins@pld-linux.org> 0da7d41
- added python3 package
- rel 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 3c9c505
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 36ec8d6
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ba5368f
- automatic change: use py_build/py_install macros

* Fri Dec 21 2012 Jakub Bogusz <qboosh@pld-linux.org> e54ec87
- updated to 1.3

* Sun Feb 05 2012 Jakub Bogusz <qboosh@pld-linux.org> ee3bcb5
- new

